Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.amiga
Class FaxPort

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.sys.Importable
                  |
                  +--edu.utah.janosvm.kit.comm.amiga.FaxPortHandle
                        |
                        +--edu.utah.janosvm.kit.comm.amiga.FaxPort

public final class FaxPort
extends FaxPortHandle

Fields inherited from class edu.utah.janosvm.kit.comm.amiga.FaxPortHandle
`be`

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Constructor Summary
`FaxPort(java.lang.Object id, SignalSet ss)` Construct a FaxPort and a FaxPortBackEnd with the given values.
`FaxPort(java.lang.Object id, SignalSet ss, int sn)` Construct a FaxPort and a FaxPortBackEnd with the given values.
`FaxPort(SignalSet ss)` Construct a FaxPort and a FaxPortBackEnd with the given values.
`FaxPort(SignalSet ss, int sn)` Construct a FaxPort and a FaxPortBackEnd with the given values.

Method Summary
`void` | `close()` Close this fax port and revoke any references to it.
`Facsimile` | `getFacsimile()`
`int` | `getSignalNumber()`
`Facsimile` | `waitForFacsimile()` Wait for and return the first Facsimile received.

Methods inherited from class edu.utah.janosvm.kit.comm.amiga.FaxPortHandle
`bindTo, putFacsimile, unbindFrom`

Methods inherited from class edu.utah.janosvm.sys.Importable
`copy, finalize`

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, clone, prepend, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaxPort

    public FaxPort(java.lang.Object id,
                   SignalSet ss,
                   int sn)
            throws DuplicateExportException

  Construct a FaxPort and a FaxPortBackEnd with the given values.
  Parameters:
    `id` - The identifier to export the FaxPortBackEnd under.
    `ss` - The SignalSet that the FaxPortBackEnd should signal when it receives a fax.
    `sn` - The SignalNumber that the FaxPortBackEnd should signal when it receives a fax.
  Throws:
    Throws - DuplicateExportException if there is already an export with the given identifier.

### FaxPort

    public FaxPort(java.lang.Object id,
                   SignalSet ss)
            throws DuplicateExportException

  Construct a FaxPort and a FaxPortBackEnd with the given values.
  Parameters:
    `id` - The identifier to export the FaxPortBackEnd under.
    `ss` - The SignalSet that the FaxPortBackEnd should signal when it receives a fax.
  Throws:
    Throws - DuplicateExportException if there is already an export with the given identifier.

### FaxPort

    public FaxPort(SignalSet ss,
                   int sn)

  Construct a FaxPort and a FaxPortBackEnd with the given values.
  Parameters:
    `ss` - The SignalSet that the FaxPortBackEnd should signal when it receives a fax.
    `sn` - The SignalNumber that the FaxPortBackEnd should signal when it receives a fax.

### FaxPort

    public FaxPort(SignalSet ss)

  Construct a FaxPort and a FaxPortBackEnd with the given values.
  Parameters:
    `ss` - The SignalSet that the FaxPortBackEnd should signal when it receives a fax.

Method Detail

### getSignalNumber

    public int getSignalNumber()

  Returns:
    The signal number that will get signalled when a fax is received.

### getFacsimile

    public Facsimile getFacsimile()

  Returns:
    The Facsimile at the head of the queue or null if the queue is empty.

### waitForFacsimile

    public Facsimile waitForFacsimile()

  Wait for and return the first Facsimile received.
  Returns:
    The first facsimile.

### close

    public void close()

  Close this fax port and revoke any references to it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2001 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Jun 1, 2001